# Verify a User's Altura Guard Code

### Verify Altura Guard code

## Verifies if a user's inputted Altura Guard code matches their wallet address

<mark style="color:blue;">`GET`</mark> `https://api.alturanft.com/api/v2/user/verify_auth_code/:address/:code`

Takes a user's address and Altura Guard code and returns true if the code is valid and false otherwise

#### Path Parameters

| Name                                      | Type   | Description                           |
| ----------------------------------------- | ------ | ------------------------------------- |
| address<mark style="color:red;">\*</mark> | String | The user's wallet address             |
| code<mark style="color:red;">\*</mark>    | String | The user's inputted Altura Guard code |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "authenticated": true
}

OR 

{
  "authenticated": false
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
The response code will be 200 regardless of if the user authenticated successfully or not. In the response body, there is a boolean field - authenticate - which is true if their code is correct and false otherwise
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/get-endpoints/verify-a-users-altura-guard-code.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
